Summary: Creates an initial ramdisk image for preloading modules including software suspend support.
Name: swsusp2-mkinitrd
Version: 4.2.15
Release: 1.cubbi8
License: GPL
Group: System Environment/Base
Packager: Matthias Hensler <matthias@wspse.de>
Source: mkinitrd-%{version}.tar.bz2
ExclusiveOs: Linux
Prereq: dev
Requires: e2fsprogs, /bin/sh, fileutils, grep, mount, gzip, tar, /sbin/insmod.static, /sbin/losetup, mktemp >= 1.5-5, findutils, lvm2, udev >= 057-3
Requires: filesystem >= 2.1.0, cpio
BuildRequires: popt
%ifarch ppc
Requires: ppc64-utils >= 0.3-1
%endif
BuildRoot: %{_tmppath}/%{name}-root

Patch1: swsusp_new-kernel-pkg.patch
Patch2: swsusp_mkinitrd.patch
Patch3: swsusp_new-kernel-pkg_earlysplash.patch
Patch4: swsusp_mkinitrd_earlysplash.patch
Patch5: swsusp_mkinitrd_scsi.patch
Patch6: swsusp_new-kernel-pkg_swsuspversion.patch
Patch7: swsusp_mkinitrd_swsuspversion.patch
Patch8: swsusp_mkinitrd_lvmswap.patch

%description
This package includes modified versions of mkinitrd and new-kernel-pkg
tools for software suspend kernels provided by http://mhensler.de/swsusp/

%prep
%setup -n mkinitrd-%{version}
patch -p0 grubby/new-kernel-pkg < %{PATCH1}
%patch2 -p0
patch -p0 grubby/new-kernel-pkg < %{PATCH3}
%patch4 -p0
%patch5 -p0
patch -p0 grubby/new-kernel-pkg < %{PATCH6}
%patch7 -p0
%patch8 -p0

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
install mkinitrd $RPM_BUILD_ROOT/sbin/mkinitrd-swsusp
install grubby/new-kernel-pkg $RPM_BUILD_ROOT/sbin/new-kernel-pkg-swsusp

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkinitrd-swsusp
%attr(755,root,root) /sbin/new-kernel-pkg-swsusp

%changelog
* Tue Jan 24 2006 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi8
- added LVM patch to fix wrong device if swap is in LVM, but root not
  thanks to Alexander Bergolth <leo@strike.wu-wien.ac.at>

* Mon Oct 03 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi7
- added swsusp-version parameter to change /proc directory

* Sun Jul 10 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi6
- on SCSI/SATA start resume after scsi-modules

* Sat Jul 09 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi5
- made early fbsplash optional.

* Sun Jul 03 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi4
- start fbsplash early in resume: Paul Ionescu <i_p_a_u_l@yahoo.com>

* Tue Jun 14 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi3
- rebuild on FC4.

* Thu Jun 02 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi2
- added missing echo to activation of splashui

* Wed May 25 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi1
- initial build

